@echo off

call setenv.bat

mkdir %INSTALL_DIR%

set SHORTCUT1=%INSTALL_DIR%\create_cables.lnk
set TARGET1=%PROJECT_BIN%\getexdraw.bat
set ICON1=%PROJECT_DOC%\img\Icons\Icon_getex.ico

set SHORTCUT2=%INSTALL_DIR%\IOconverter.lnk
set TARGET2=%PROJECT_BIN%\ioconverter.bat
set ICON2=%PROJECT_DOC%\img\Icons\Icon_portal.ico

REM ersetze die Zeile mit setenv.bat durch die mit dem neuen Pfad
powershell -Command "(Get-Content getexdraw.bat) -replace '^.*setenv.bat$', 'call %PROJECT_BIN%\setenv.bat' | Set-Content getexdraw.bat"
powershell -Command "(Get-Content ioconverter.bat) -replace '^.*setenv.bat$', 'call %PROJECT_BIN%\setenv.bat' | Set-Content ioconverter.bat"

REM Icon1 anlegen
powershell -Command "$s=(New-Object -COM WScript.Shell).CreateShortcut('%SHORTCUT1%');$s.TargetPath='%TARGET1%';$s.IconLocation='%ICON1%';$s.Save()"
REM Icon2 anlegen
powershell -Command "$s=(New-Object -COM WScript.Shell).CreateShortcut('%SHORTCUT2%');$s.TargetPath='%TARGET2%';$s.IconLocation='%ICON2%';$s.Save()"

REM Öffne den Ordner damit man sieht ob es geklappt hat
explorer.exe %INSTALL_DIR%
